
Foreman - Bug #31554

GET "/api/v2/permissions" Is failing with 500 Internal Server Error

12/27/2020 11:36 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: API   

Target version: 2.2.3   

Difficulty:  Fixed in Releases: 2.2.3, 2.3.2, 2.4.0

Triaged: Yes Found in Releases:  

Bugzilla link: 1910759 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8221

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1910759

Description of problem:

GET "/api/v2/permissions" Is failing with 500 Internal Server Error only in 6.9 and pass in 6.8

Version-Release number of selected component (if applicable):

Satellite 6.9 snap 6

How reproducible:

always

Steps to Reproduce:

1. Api call to GET "/api/v2/permissions"

2. fails with error

2020-12-24 18:40:59 - nailgun.client - DEBUG - Making HTTP GET request to https://foreman.example.com/api/v2/permissions with

options {'data': '{"per_page": 350, "search": "resource_type=\\"Katello::ActivationKey\\""}', 'auth': ('admin', 'changeme'), 'verify': False,

'headers': {'content-type': 'application/json'}}, no params and no data.

2020-12-24 18:41:01 - nailgun.client - WARNING - Received HTTP 500 response: {

"error": {"message":"undefined method `empty?' for 350:Integer"}

}

Actual results:

API call is failed with 500 internal server error

Expected results:

API call should work as expected

Additional info:

attached the error log

Related issues:

Related to Foreman - Refactor #29909: Support fetching all records in API Closed

Associated revisions

Revision 743b151f - 12/28/2020 08:20 AM - Ondřej Ezr

Fixes #31554 - empty? check on integer

We were sending `empty?` to integers in quite common cases since 1831e5680eb3933674323c4f38be9b7f85d3f263.

We need to call `blank?` instead.

History

#1 - 12/27/2020 11:37 PM - Ondřej Ezr

- Related to Refactor #29909: Support fetching all records in API added
#2 - 12/27/2020 11:51 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/8221 added

#3 - 12/27/2020 11:56 PM - Ondřej Ezr

- Subject changed from GET "/api/v2/permissions" Is failing with 500 Internal Server Error Fails only in 6.9

 to GET "/api/v2/permissions" Is failing with 500 Internal Server Error Fails only in 6.9

- Category set to API

- Target version set to 2.2.3

- Triaged changed from No to Yes

#4 - 12/28/2020 08:20 AM - The Foreman Bot

- Fixed in Releases 2.4.0 added

#5 - 12/28/2020 08:21 AM - Tomer Brisker

- Fixed in Releases 2.2.3, 2.3.2 added

#6 - 12/28/2020 09:01 AM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|743b151f1a36ced0eeb0ede3a645f1977be84506.

#7 - 01/13/2021 02:09 PM - Tomer Brisker

- Subject changed from GET "/api/v2/permissions" Is failing with 500 Internal Server Error Fails only in 6.9 to GET "/api/v2/permissions" Is failing with

500 Internal Server Error
